#!/bin/sh

if ! test -e ".gitignore"; then
	echo "$0: Please execute this script from root directory."
	exit 1
fi

echo "$0: Searching for deprecated PHP scripts ..."
LIST=$(find -type f -name "*.php" -size 21c -exec grep -H "@DEPRECATED" {} \; | grep -v "/core/" | cut -d ":" -f 1)

if [ -n "${LIST}" ]
then
	echo "${LIST}" | xargs git rm --force
	sh ./contrib/todo-builder.sh
fi
